Bug 733665 - Incorrect values in /proc/sys/vm/dirty_writeback_centises and dirty_expire_centisecs [rhel-5.7.z]
Summary: Incorrect values in /proc/sys/vm/dirty_writeback_centises and dirty_expire_ce...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Petr Beňas
URL:
Whiteboard:
Depends On: 691087
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 12:37 UTC by RHEL Product and Program Management
Modified: 2015-01-04 23:01 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.18-274.5.1.el5
Doc Type: Bug Fix
Doc Text:
When setting the value in the /proc/sys/vm/dirty_writeback_centisecs file via echo, the actual saved value was always one less than the given value (for example, setting 500 resulted in 499 being set). This update fixes this off-by-one error, and values in /proc/sys/vm/dirty_writeback_centisecs are now correctly set.
Clone Of:
Environment:
Last Closed: 2011-10-20 17:31:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1386 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-20 17:28:15 UTC

Description RHEL Product and Program Management 2011-08-26 12:37:56 UTC
This bug has been copied from bug #691087 and has been proposed
to be backported to 5.7 z-stream (EUS).

Comment 4 Phillip Lougher 2011-09-17 01:41:51 UTC
in kernel-2.6.18-274.5.1.el5

linux-2.6-mm-fix-incorrect-off-by-one-centisec-dirty-values.patch

Comment 7 Petr Beňas 2011-09-29 06:59:43 UTC
Reproduced in 2.6.18-274.4.1.el5 and verified in 2.6.18-274.5.1.el5.

Comment 8 Vincent S. Cojot 2011-09-29 09:00:59 UTC
Thanks for all the hard work on this issue, guys.
Best regards from France,
Vincent

Comment 9 errata-xmlrpc 2011-10-20 17:31:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1386.html

Comment 10 Martin Prpič 2011-10-27 09:20:05 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When setting the value in the /proc/sys/vm/dirty_writeback_centisecs file via echo, the actual saved value was always one less than the given value (for example, setting 500 resulted in 499 being set). This update fixes this off-by-one error, and values in /proc/sys/vm/dirty_writeback_centisecs are now correctly set.


Note You need to log in before you can comment on or make changes to this bug.